Bug 203814 - [patch] math/eigen3 upgrade to 3.2.6
Summary: [patch] math/eigen3 upgrade to 3.2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-kde (Team)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-10-16 04:35 UTC by Johannes M Dieterich
Modified: 2015-11-25 13:27 UTC (History)
1 user (show)

See Also:
rakuco: maintainer-feedback+


Attachments
svn diff for math/eigen3 (1.17 KB, patch)
2015-10-16 04:35 UTC, Johannes M Dieterich
no flags Details | Diff
fix plist and remove PORTREVISION (2.55 KB, patch)
2015-10-17 20:29 UTC, Tobias Berner
no flags Details | Diff
Eigen 3.6.7 update (2.70 KB, patch)
2015-11-25 06:16 UTC, Johannes M Dieterich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes M Dieterich freebsd_committer 2015-10-16 04:35:31 UTC
Created attachment 162110 [details]
svn diff for math/eigen3

Please find attached the trivial patch to version 3.2.6 bringing us up to date with the latest upstream release. See bugfixes since the 3.2.2 release here: eigen.tuxfamily.org/index.php?title=ChangeLog

Note that Eigen as per their homepage is released under MPL2 with few code exceptions under LGPL3+. Hence, I changed the LICENSE definitions to LGPL3 plus MPL2.
Comment 1 Tobias Berner 2015-10-17 20:29:47 UTC
Created attachment 162167 [details]
fix plist and remove PORTREVISION

Additionally drop PORTREVISION, and fix plist
Comment 2 Raphael Kubo da Costa freebsd_committer 2015-11-21 20:40:42 UTC
> Note that Eigen as per their homepage is released under MPL2 with few code exceptions under LGPL3+. Hence, I changed the LICENSE definitions to LGPL3 plus MPL2.

Looking at http://eigen.tuxfamily.org/index.php?title=Main_Page#License and COPYING.README, it doesn't seem to be that way. The files the wiki page mentions seem to be licensed under the LGPL2.1.
Comment 3 Johannes M Dieterich freebsd_committer 2015-11-21 21:55:44 UTC
Re licensing: I changed this according to http://eigen.tuxfamily.org/index.php?title=Main_Page#License .
Comment 4 Raphael Kubo da Costa freebsd_committer 2015-11-21 23:08:50 UTC
Which is the same page I linked to. It says "earlier versions were licensed under the LGPL3+", and then confusingly just refers to existing code not licensed under the MPL2 as "licensed under the LGPL". Looking at the third-party code it mentions, they all seem to be licensed under the LGPL21.
Comment 5 Johannes M Dieterich freebsd_committer 2015-11-22 17:56:54 UTC
I see. So then LGPL2 and MPL2? Should I regenerate the patch with this as well as the plist and PORTREVISION changes by Tobias? Anything else before this can be committed?
Comment 6 Raphael Kubo da Costa freebsd_committer 2015-11-24 13:41:52 UTC
LGPL21, not LGPL2. Basically, I believe the existing license list is correct. Please submit a new patch with this fix as well as Tobias's. If you have some spare cycles, I see that upstream has released v3.2.7 so you could update to that instead. If you don't have spare cycles, we can land 3.2.6 anyway.
Comment 7 Johannes M Dieterich freebsd_committer 2015-11-25 06:16:37 UTC
Created attachment 163495 [details]
Eigen 3.6.7 update

Includes Tobias' changes, includes the update to 3.6.7 which required another plist change.

Ran this through a poudriere build on 9.3 for both i386 and amd64, a poudriere on 10.1/amd64 as well as my 11-CURRENT/amd64.

It passes portlint with one warning (missing ftp/http mirror in MASTER_SITES).
Comment 8 Johannes M Dieterich freebsd_committer 2015-11-25 06:28:48 UTC
s/3.6.7/3.2.7/g

Sorry, it is late.
Comment 9 commit-hook freebsd_committer 2015-11-25 13:26:40 UTC
A commit references this bug:

Author: rakuco
Date: Wed Nov 25 13:25:55 UTC 2015
New revision: 402397
URL: https://svnweb.freebsd.org/changeset/ports/402397

Log:
  Update to 3.2.7.

  PR:		203814
  Submitted by:	dieterich.joh@gmail.com,
  		Tobias Berner <tcberner@gmail.com>

Changes:
  head/math/eigen3/Makefile
  head/math/eigen3/distinfo
  head/math/eigen3/pkg-plist
Comment 10 Raphael Kubo da Costa freebsd_committer 2015-11-25 13:26:57 UTC
Finally landed, thank you very much!